Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® OS Smartphones

Posts: 18
Registered: ‎04-13-2010
My Device: Bold 9700
My Carrier: T-Mobile

App Upgrade Problem

I purchased BeBuzz 2.x a while back. Today and upgrade to 3.x became available so I tried to purchase it. There was an error during the purchase and the upgrade failed with a popup saying to contact appworld support.


After restarting appworld, the myworld section says i have v3 installed but shows my old license code for v2.


I contacted appworld support (who linked me here for some reason).


So, appworld thinks I have v3 installed. I uninstalled, batt pull, back to appword redownload v3, but it downloads and installs v2.


I've uninstalled/reinstalled appworld and it still insists that I have v3 (but will only download v2). 


Seems that my account needs to be reset and reverted back to v2 of BeBuzz so that I can try the upgrade again but I can't seem to get RIM to do this.


Any ideas?





Posts: 101
Registered: ‎02-10-2009
My Device: Q10, Z10
My Carrier: T-Mobile

Re: App Upgrade Problem

The behavior you are seeing unfortunately is what all customers of BeBuzz 2.x are currently seeing when trying to upgrade.


We have already contact AppWorld Developer Support about this but have yet to receive any response.


If AppWorld is not able to resolve this in a reasonable amount of time we can offer you an alternative upgrade option. Please contact our customer service at support@bellshare.com.